Package be.fgov.ehealth.dics.protocol.v4

# Class FindCommentedClassificationRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v4.FindCommentedClassificationRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindCommentedClassificationRequest extends RequestType implements Serializable

Java class for FindCommentedClassificationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCommentedClassificationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindByCommentedClassification" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByCommentedClassificationType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByVirtualProductType"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCommentedClassificationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByCommentedClassificationType`
  `getFindByCommentedClassification()`
  Returns the Commented Classification Tree(s) with root identified by the given code or title matching the given AnyNamePart
  `FindByVirtualProductType`
  `getFindByProduct()`
  Returns all CommentedClassification referenced by the product(s) matching the given code or name.
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setFindByCommentedClassification(FindByCommentedClassificationType value)`
  Sets the value of the findByCommentedClassification property.
  `void`
  `setFindByProduct(FindByVirtualProductType value)`
  Sets the value of the findByProduct property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindCommentedClassificationRequest

    public FindCommentedClassificationRequest()

- ## Method Details

  - ### getFindByProduct

    public FindByVirtualProductType getFindByProduct()
    Returns all CommentedClassification referenced by the product(s) matching the given code or name.
    Returns:
      possible object is `FindByVirtualProductType`

  - ### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)
    Sets the value of the findByProduct property.
    Parameters:
      `value` - allowed object is `FindByVirtualProductType`
    See Also:
      - `getFindByProduct()`

  - ### getFindByCommentedClassification

    public FindByCommentedClassificationType getFindByCommentedClassification()
    Returns the Commented Classification Tree(s) with root identified by the given code or title matching the given AnyNamePart
    Returns:
      possible object is `FindByCommentedClassificationType`

  - ### setFindByCommentedClassification

    public void setFindByCommentedClassification(FindByCommentedClassificationType value)
    Sets the value of the findByCommentedClassification property.
    Parameters:
      `value` - allowed object is `FindByCommentedClassificationType`
    See Also:
      - `getFindByCommentedClassification()`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`